#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.15
visibility:           public
id:                   foldl-1.4.15-7CQgIxRdHMl43eFeF0YiaO
key:                  foldl-1.4.15-7CQgIxRdHMl43eFeF0YiaO
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  f67f95e783a962cb5976e8f69a2ad83c
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.2.8/site-local/foldl-1.4.15
library-dirs:         /usr/lib/ghc-9.2.8/site-local/foldl-1.4.15
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.15-7CQgIxRdHMl43eFeF0YiaO
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    comonad-5.0.8-2ZJiHoztGAak3XSQHZJyz containers-0.6.5.1
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    hashable-1.4.3.0-CcD3sjCyxJjIKHS9bT8WC1
    primitive-0.7.4.0-7EmETL08CQ5nNVujSkVxd
    profunctors-5.6.2-6U8Fi3i5PNTJVkD3oayjry
    random-1.2.1.2-HuilZN3oosRCcl1kUNb1cn
    semigroupoids-5.3.7-6lgteiboOFHBOByPhhBl1r text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-47hukrr2IXRFDwJY5DTAr2
    vector-0.13.1.0-AXstUsf4rEVFm5YPigldNP

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

